Add time - select activity: use radion button instead of select list (usability)
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Redmine version                2.5.2.devel

It is much faster and convinient to set a checkbox than open menu and select a value from available choices. The line is long, there

is enough space for many checkboxes.

Thank you for consideration

History

#1 - 2016-05-19 14:20 - Toshi MARUYAMA

- Category set to Time tracking

#2 - 2018-08-07 07:22 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

I consider useful if we render radio buttons instead of a dropdown when the number of available activities are under certain number (5 for example). If

there are more, the dropdown is more appropriate. I'll work on this along with the other improvements that I've in plan for the time entry module.

#3 - 2018-08-20 09:04 - Marius BĂLTEANU

- Assignee deleted (Marius BĂLTEANU)

After we made some tests internally, we conclude that displaying a select or a radio button depending on the number of activities can be quite

confusing for users.
